PlatformServiceDetector (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.PlatformServiceDetector class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class PlatformServiceDetector

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ServerDetector
              org.hyperic.hq.product.PlatformServiceDetector

All Implemented Interfaces:
  AutoServerDetector, RuntimeDiscoverer

    public abstract class PlatformServiceDetector

extends ServerDetector
implements AutoServerDetector

This class is intended for use by Platform types which have service types, but no server types.

Field Summary
`static java.lang.String` | `PROP_IPADDRESS`

Fields inherited from class org.hyperic.hq.product.ServerDetector
`AUTOINVENTORY_NAME, INSTALLPATH, INSTALLPATH_MATCH, INSTALLPATH_NOMATCH, INVENTORY_ID, VERSION_FILE`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`PlatformServiceDetector()`

Method Summary
`protected ServiceResource` | `createServiceResource(java.lang.String type)`
`protected abstract java.util.List` | `discoverServices(ConfigResponse config)` Override to discover services for the server type of the plugin instance.
`protected ServerResource` | `getServer(ConfigResponse config)`
`java.util.List` | `getServerResources(ConfigResponse config)`
`protected java.lang.String` | `getServiceTypeName(java.lang.String type)`

Methods inherited from class org.hyperic.hq.product.ServerDetector
`createServerResource, discoverResources, discoverServers, discoverServiceTypes, findVersionFile, formatAutoInventoryName, formatName, getCanonicalPath, getConfigSchema, getConnectionProtocol, getDocument, getListenAddress, getListenAddress, getManager, getParentDir, getParentDir, getPids, getProcArgs, getProcCwd, getProcExe, getProcExe, getProcModules, getRegistryScanKeys, getRuntimeDiscoverer, getServerSignature, getServiceConfigs, getServiceInventoryPlugins, getSigar, getTypeProperty, getXPathValue, getXPathValue, init, isInstallTypeVersion, isRuntimeDiscoverySupported, isSSLPort, isWin32ServiceRunning, setControlConfig, setControlConfig, setCustomProperties, setCustomProperties, setDescription, setMeasurementConfig, setMeasurementConfig, setProductConfig, setProductConfig`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getConfigSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_IPADDRESS

    public static final java.lang.String PROP_IPADDRESS

See Also:
  Constant Field Values

Constructor Detail

### PlatformServiceDetector

    public PlatformServiceDetector()

Method Detail

### discoverServices

    protected abstract java.util.List discoverServices(ConfigResponse config)
                                                throws PluginException

  Description copied from class: `ServerDetector`
  Override to discover services for the server type of the plugin instance.

  Overrides:
    `discoverServices` in class `ServerDetector`
  Parameters:
    `config` - Configuration of the parent server resource.
  Returns:
    List of type ServiceResource.
  Throws:
    `PluginException` - If an error occured during discovery.

### getServer

    protected ServerResource getServer(ConfigResponse config)

### getServiceTypeName

    protected java.lang.String getServiceTypeName(java.lang.String type)

  Returns:
    platformTypeName + " " + type

### createServiceResource

    protected ServiceResource createServiceResource(java.lang.String type)

  Overrides:
    `createServiceResource` in class `ServerDetector`
  Returns:
    ServiceResource with setType(getServiceTypeName(type))

### getServerResources

    public java.util.List getServerResources(ConfigResponse config)

  Specified by:
    `getServerResources` in interface `AutoServerDetector`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.